function label = generate_discrete_state(cpt, q)

label = 0;
prob_dist = cpt(q, :);
n_possibilities = length(prob_dist);
cum_dist_func = zeros(1, n_possibilities);

for j=1:n_possibilities

    cum_dist_func(j) = sum(prob_dist(1:j));
end

a_random_number = rand(1);

if (a_random_number < cum_dist_func(1))
   
    label = 1; 
end

for j=1:n_possibilities-1

    if ((a_random_number >= cum_dist_func(j)) && (a_random_number < cum_dist_func(j+1)))

        label = j+1;             
    end
end

if (label == 0)
    label = n_possibilities;
end

    