function x=generate_multinormal_data_sample(U2s, observation_history, mean_shifts, covariances, q)

if (sum(size(U2s)==0)~=0)
    mean_vector = mean_shifts(:,q);    
else
    mean_vector = U2s(:,:,q)*observation_history + mean_shifts(:,q);
end

covariance_matrix = covariances(:,:,q);

%Generate a single multidimensional data point from a multinormal density
x = mvnrnd(mean_vector, covariance_matrix, 1);
