__author__ = "Zafer Aydin"
__date__ = "10/12/2009"
__project__ = " Protein Secondary Structure Prediction"

usage="""

	Usage: python generate_train_files_list_for_synthetic_data.py <dataset path> <number of proteins in the training data> <synthetic filename root> <output filename>
"""

import sys

if __name__ == "__main__":

	if (len(sys.argv) != 5):

		sys.stderr.write(usage)
		sys.exit(-1)

	dataset_path = sys.argv[1]
	n_proteins = int(sys.argv[2])
	synthetic_filename_root = sys.argv[3]
	train_list_filename_synthetic = sys.argv[4]

	output_filename = dataset_path + train_list_filename_synthetic

	output_file = open(output_filename, 'w')

	for i in range(n_proteins):

		k=i+1
		line_to_write = dataset_path + synthetic_filename_root + '_' + str(k) + '.obs\n'
		output_file.write(line_to_write)

	output_file.close()


