__author__ = "Zafer Aydin"
__date__ = "06/15/2009"

# FILENAME: add_weight_to_file.py
# PROJECT: Protein Secondary Structure Prediction

usage = """
	
	Usage: python add_weight_to_file.py <weight filename> <weight value>
"""

import sys

if __name__ == "__main__":

	if (len(sys.argv) != 3):

		sys.stderr.write(usage)
		sys.exit(-1)

	weight_filename = sys.argv[1]	
	weight_value = float(sys.argv[2])

	weight_file = open(weight_filename, 'a')
	weight_file.write('%f\n' % weight_value)
	weight_file.close()

