#!/bin/bash

scripts_dir=$1
laa=$2
lss=$3
fixed_params_filename=$4
learned_params_filename=$5
fixed_params_filename2=$6
learned_params_filename2=$7
matrix2png=$8
discrete_color_map_filename=$9
output_root=${10}

n_graphs=$((3**(lss+1)))

python ${scripts_dir}generate_dlink_difference_plots_accuracy_measures.py $laa $fixed_params_filename $learned_params_filename $fixed_params_filename2 $learned_params_filename2 $output_root

for ((q=0; q < n_graphs; q++))
do

	$matrix2png -data ${output_root}_discrete_q_$q -s -size 8:8 -r -c -dmap $discrete_color_map_filename >& ${output_root}_discrete_q_$q.png

	python ${scripts_dir}submit_matrix2png_commands_continuous.py $matrix2png ${output_root}_continuous_q_$q ${output_root}_minmax_q_$q ${output_root}_continuous_q_$q.png

	#${MATRIX2PNG} -data ${output_root}_continuous_q_$q -range -mincolor magenta -maxcolor cyan -b -s -size 8:8 -r -c  >& ${output_root}_continuous_q_$q.png   

done
