#!/bin/bash

laa=5
lss=0
n_proteins=(100)
#n_proteins=(100 250 500 1000 5000 15000 30000)
#percentages=(0 5 10 15 20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100)
percentages=(20) #change this value for trying different percentages of sparsity !!!!!!!!!

n_samples=${#n_proteins[@]}
n_percentages=${#percentages[@]}

laa=5
lss=0
ngc=3
starting_index=119
weight_opt_flag=2
diag_cov_add_flag=0
L2_reg_thr=500
perc_dlinks_eliminated_at_each_EM=0.5
perc_dlinks_to_be_eliminated_at_each_step=5 #we save dlink matrices each time we reach an integer multiple of this sparsity 

for ((i=0; i < n_samples; i++))
do
	for ((j=0; j < n_percentages; j++))
	do
		percentage_value=${percentages[$j]}
		
		iteration_count_up_to_min=0
		iteration_count_up_to_max=`echo $percentage_value/5 + 1 | bc`		
		n_proteins_i=${n_proteins[$i]}

		#path_name="lss_${lss}_synthetic_${n_proteins_i}/models/"
		path_name="models/

		echo $path_name
		echo "laa = $laa"
		echo "lss = $lss"
		echo "starting index = $starting_index"
		echo "weight opt flag = $weight_opt_flag"
		echo "diag cov add flag = $diag_cov_add_flag"
		echo "L2 reg thr = $L2_reg_thr"
		echo "threshold = $threshold"
		echo "threshold index = $threshold_index"
		echo "iteration_count_up_to_min = $iteration_count_up_to_min"
		echo "iteration_count_up_to_max = $iteration_count_up_to_max"
		echo "n synthetic proteins = $n_proteins_i"

		cd $path_name
		qsub -l longjob=TRUE clust.sh $laa $lss $ngc $starting_index $weight_opt_flag $diag_cov_add_flag $L2_reg_thr $iteration_count_up_to_min $iteration_count_up_to_max $n_proteins_i $perc_dlinks_eliminated_at_each_EM $perc_dlinks_to_be_eliminated_at_each_step
		cd ../../../ 
	done
done

